Package org.eclipse.m2m.atl.common.ATL.util

## Class ATLAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.m2m.atl.common.ATL.util.ATLAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`

    public class ATLAdapterFactory
    extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `ATLPackage`

### Field Summary

Fields
`protected static ATLPackage` `modelPackage` The cached model package.
`protected ATLSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods.

### Constructor Summary

Constructors
`ATLAdapterFactory()` Creates an instance of the adapter factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.Adapter` `createActionBlockAdapter()` Creates a new adapter for an object of class '`Action Block`'.
`org.eclipse.emf.common.notify.Adapter` `createAdapter​(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createBindingAdapter()` Creates a new adapter for an object of class '`Binding`'.
`org.eclipse.emf.common.notify.Adapter` `createBindingStatAdapter()` Creates a new adapter for an object of class '`Binding Stat`'.
`org.eclipse.emf.common.notify.Adapter` `createCalledRuleAdapter()` Creates a new adapter for an object of class '`Called Rule`'.
`org.eclipse.emf.common.notify.Adapter` `createDropPatternAdapter()` Creates a new adapter for an object of class '`Drop Pattern`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createExpressionStatAdapter()` Creates a new adapter for an object of class '`Expression Stat`'.
`org.eclipse.emf.common.notify.Adapter` `createForEachOutPatternElementAdapter()` Creates a new adapter for an object of class '`For Each Out Pattern Element`'.
`org.eclipse.emf.common.notify.Adapter` `createForStatAdapter()` Creates a new adapter for an object of class '`For Stat`'.
`org.eclipse.emf.common.notify.Adapter` `createHelperAdapter()` Creates a new adapter for an object of class '`Helper`'.
`org.eclipse.emf.common.notify.Adapter` `createIfStatAdapter()` Creates a new adapter for an object of class '`If Stat`'.
`org.eclipse.emf.common.notify.Adapter` `createInPatternAdapter()` Creates a new adapter for an object of class '`In Pattern`'.
`org.eclipse.emf.common.notify.Adapter` `createInPatternElementAdapter()` Creates a new adapter for an object of class '`In Pattern Element`'.
`org.eclipse.emf.common.notify.Adapter` `createLazyMatchedRuleAdapter()` Creates a new adapter for an object of class '`Lazy Matched Rule`'.
`org.eclipse.emf.common.notify.Adapter` `createLibraryAdapter()` Creates a new adapter for an object of class '`Library`'.
`org.eclipse.emf.common.notify.Adapter` `createLibraryRefAdapter()` Creates a new adapter for an object of class '`Library Ref`'.
`org.eclipse.emf.common.notify.Adapter` `createLocatedElementAdapter()` Creates a new adapter for an object of class '`Located Element`'.
`org.eclipse.emf.common.notify.Adapter` `createMatchedRuleAdapter()` Creates a new adapter for an object of class '`Matched Rule`'.
`org.eclipse.emf.common.notify.Adapter` `createModuleAdapter()` Creates a new adapter for an object of class '`Module`'.
`org.eclipse.emf.common.notify.Adapter` `createModuleElementAdapter()` Creates a new adapter for an object of class '`Module Element`'.
`org.eclipse.emf.common.notify.Adapter` `createOutPatternAdapter()` Creates a new adapter for an object of class '`Out Pattern`'.
`org.eclipse.emf.common.notify.Adapter` `createOutPatternElementAdapter()` Creates a new adapter for an object of class '`Out Pattern Element`'.
`org.eclipse.emf.common.notify.Adapter` `createPatternElementAdapter()` Creates a new adapter for an object of class '`Pattern Element`'.
`org.eclipse.emf.common.notify.Adapter` `createQueryAdapter()` Creates a new adapter for an object of class '`Query`'.
`org.eclipse.emf.common.notify.Adapter` `createRuleAdapter()` Creates a new adapter for an object of class '`Rule`'.
`org.eclipse.emf.common.notify.Adapter` `createRuleVariableDeclarationAdapter()` Creates a new adapter for an object of class '`Rule Variable Declaration`'.
`org.eclipse.emf.common.notify.Adapter` `createSimpleInPatternElementAdapter()` Creates a new adapter for an object of class '`Simple In Pattern Element`'.
`org.eclipse.emf.common.notify.Adapter` `createSimpleOutPatternElementAdapter()` Creates a new adapter for an object of class '`Simple Out Pattern Element`'.
`org.eclipse.emf.common.notify.Adapter` `createStatementAdapter()` Creates a new adapter for an object of class '`Statement`'.
`org.eclipse.emf.common.notify.Adapter` `createUnitAdapter()` Creates a new adapter for an object of class '`Unit`'.
`org.eclipse.emf.common.notify.Adapter` `createVariableDeclarationAdapter()` Creates a new adapter for an object of class '`Variable Declaration`'.
`boolean` `isFactoryForType​(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modelPackage

    protected static ATLPackage modelPackage

The cached model package.

#### modelSwitch

    protected ATLSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

The switch that delegates to the `createXXX` methods.

### Constructor Detail

#### ATLAdapterFactory

    public ATLAdapterFactory()

Creates an instance of the adapter factory.

### Method Detail

#### isFactoryForType

    public boolean isFactoryForType​(java.lang.Object object)

Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

#### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter​(org.eclipse.emf.common.notify.Notifier target)

Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

#### createLocatedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createLocatedElementAdapter()

Creates a new adapter for an object of class '`Located Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `LocatedElement`

#### createUnitAdapter

    public org.eclipse.emf.common.notify.Adapter createUnitAdapter()

Creates a new adapter for an object of class '`Unit`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Unit`

#### createLibraryAdapter

    public org.eclipse.emf.common.notify.Adapter createLibraryAdapter()

Creates a new adapter for an object of class '`Library`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Library`

#### createQueryAdapter

    public org.eclipse.emf.common.notify.Adapter createQueryAdapter()

Creates a new adapter for an object of class '`Query`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Query`

#### createModuleAdapter

    public org.eclipse.emf.common.notify.Adapter createModuleAdapter()

Creates a new adapter for an object of class '`Module`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Module`

#### createModuleElementAdapter

    public org.eclipse.emf.common.notify.Adapter createModuleElementAdapter()

Creates a new adapter for an object of class '`Module Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ModuleElement`

#### createHelperAdapter

    public org.eclipse.emf.common.notify.Adapter createHelperAdapter()

Creates a new adapter for an object of class '`Helper`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Helper`

#### createRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createRuleAdapter()

Creates a new adapter for an object of class '`Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Rule`

#### createMatchedRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createMatchedRuleAdapter()

Creates a new adapter for an object of class '`Matched Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `MatchedRule`

#### createLazyMatchedRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createLazyMatchedRuleAdapter()

Creates a new adapter for an object of class '`Lazy Matched Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `LazyMatchedRule`

#### createCalledRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createCalledRuleAdapter()

Creates a new adapter for an object of class '`Called Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `CalledRule`

#### createInPatternAdapter

    public org.eclipse.emf.common.notify.Adapter createInPatternAdapter()

Creates a new adapter for an object of class '`In Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `InPattern`

#### createOutPatternAdapter

    public org.eclipse.emf.common.notify.Adapter createOutPatternAdapter()

Creates a new adapter for an object of class '`Out Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OutPattern`

#### createDropPatternAdapter

    public org.eclipse.emf.common.notify.Adapter createDropPatternAdapter()

Creates a new adapter for an object of class '`Drop Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `DropPattern`

#### createPatternElementAdapter

    public org.eclipse.emf.common.notify.Adapter createPatternElementAdapter()

Creates a new adapter for an object of class '`Pattern Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `PatternElement`

#### createInPatternElementAdapter

    public org.eclipse.emf.common.notify.Adapter createInPatternElementAdapter()

Creates a new adapter for an object of class '`In Pattern Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `InPatternElement`

#### createSimpleInPatternElementAdapter

    public org.eclipse.emf.common.notify.Adapter createSimpleInPatternElementAdapter()

Creates a new adapter for an object of class '`Simple In Pattern Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `SimpleInPatternElement`

#### createOutPatternElementAdapter

    public org.eclipse.emf.common.notify.Adapter createOutPatternElementAdapter()

Creates a new adapter for an object of class '`Out Pattern Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `OutPatternElement`

#### createSimpleOutPatternElementAdapter

    public org.eclipse.emf.common.notify.Adapter createSimpleOutPatternElementAdapter()

Creates a new adapter for an object of class '`Simple Out Pattern Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `SimpleOutPatternElement`

#### createForEachOutPatternElementAdapter

    public org.eclipse.emf.common.notify.Adapter createForEachOutPatternElementAdapter()

Creates a new adapter for an object of class '`For Each Out Pattern Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ForEachOutPatternElement`

#### createBindingAdapter

    public org.eclipse.emf.common.notify.Adapter createBindingAdapter()

Creates a new adapter for an object of class '`Binding`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Binding`

#### createRuleVariableDeclarationAdapter

    public org.eclipse.emf.common.notify.Adapter createRuleVariableDeclarationAdapter()

Creates a new adapter for an object of class '`Rule Variable Declaration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `RuleVariableDeclaration`

#### createLibraryRefAdapter

    public org.eclipse.emf.common.notify.Adapter createLibraryRefAdapter()

Creates a new adapter for an object of class '`Library Ref`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `LibraryRef`

#### createActionBlockAdapter

    public org.eclipse.emf.common.notify.Adapter createActionBlockAdapter()

Creates a new adapter for an object of class '`Action Block`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ActionBlock`

#### createStatementAdapter

    public org.eclipse.emf.common.notify.Adapter createStatementAdapter()

Creates a new adapter for an object of class '`Statement`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `Statement`

#### createExpressionStatAdapter

    public org.eclipse.emf.common.notify.Adapter createExpressionStatAdapter()

Creates a new adapter for an object of class '`Expression Stat`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ExpressionStat`

#### createBindingStatAdapter

    public org.eclipse.emf.common.notify.Adapter createBindingStatAdapter()

Creates a new adapter for an object of class '`Binding Stat`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `BindingStat`

#### createIfStatAdapter

    public org.eclipse.emf.common.notify.Adapter createIfStatAdapter()

Creates a new adapter for an object of class '`If Stat`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `IfStat`

#### createForStatAdapter

    public org.eclipse.emf.common.notify.Adapter createForStatAdapter()

Creates a new adapter for an object of class '`For Stat`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `ForStat`

#### createVariableDeclarationAdapter

    public org.eclipse.emf.common.notify.Adapter createVariableDeclarationAdapter()

Creates a new adapter for an object of class '`Variable Declaration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `VariableDeclaration`

#### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.